#include "datatable/DataTableConstruction.h"

//not used
DataTablePtr DataTableConstruction::constructTable(AgObjectPtr object)
{
    UNUSED(object);
    return DataTablePtr();
}

DataTablePtr DataTableConstruction::constructTable(std::list<AgObjectPtr> parameters)
{
    UNUSED(parameters);
    return DataTablePtr();
}

DataTablePtr DataTableConstruction::constructTable(std::list<AgObjectPtr> parameters, TableFormatPtr format)
{
    UNUSED(parameters);
    UNUSED(format);
    return DataTablePtr();
}

DataTablePtr DataTableConstruction::constructTable(std::list<AgObjectPtr> parameters, TableFormatPtr format, EvaluatorPtr evaluator, EvaluationEnvironmentPtr environment)
{
    UNUSED(parameters);
    UNUSED(format);
    UNUSED(evaluator);
    UNUSED(environment);
    return DataTablePtr();
}

std::list<AgObjectPtr> DataTableConstruction::resolveParameters(std::list<AgObjectPtr> parameters, EvaluatorPtr evaluator, EvaluationEnvironmentPtr environment)
{
    UNUSED(parameters);
    UNUSED(evaluator);
    UNUSED(environment);
    return std::list<AgObjectPtr>();
}

DataTablePtr DataTableConstruction::fillDataTable(TableFormatPtr format, std::list<AgObjectPtr> params)
{
    UNUSED(format);
    UNUSED(params);
    return DataTablePtr();
}
